.container {
  display: grid;
  grid-template-columns: 80px auto;
  gap: 5px 15px;
  justify-items: start;
  align-items: center;
}

.axis-name {
  align-items: center;
}

.capsule {
  width: 100%;
  background-color: white;
  border-color: var(--container-border-color);
  border-style: solid;
  border-radius: 5px;
  border-width: 0;
  margin: 1px 3px 1px 1px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  &.selected {
    background-color: var(--current-workspace-selected-row-color);
  }

  &:hover {
    background-color: var(--current-workspace-hovered-row-color);
  }
}

.container-capsule {
  border-width: 1px;

  .name {
    font-size: 14px;
    font-weight: 500;
  }
}

.external-capsule {
  width: 100%;
  height: 30px;
  margin: 1px 3px 1px 1px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  .capsule-left-color-indicator {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 0 1px 0;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    width: 6px;
  }

  .inner-capsule {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 1px 1px 0;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: white;
    display: flex;
    justify-content: flex-start;
    align-items: center;

    &:hover {
      background-color: var(--current-workspace-hovered-row-color);
    }

    &.selected {
      background-color: var(--current-workspace-selected-row-color);
    }
  }
}

::ng-deep .hide-nz-select-border-override {
  .ant-select-selector {
    border-style: none !important;
  }
}

.white-background {
  background-color: white;
}

.custom-field {
  filter: brightness(180%) saturate(60%);
}
